import { IConfigurationOverrides, ConfigurationTarget } from '@workbench-stack/core';
import * as core from '@workbench-stack/core';
import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class ConfigurationService extends core.AbstractWorkspaceConfigurationClientService implements core.IClientConfigurationService {
    private lifecycleService;
    private client;
    private cache;
    private utility;
    protected logger: any;
    constructor(lifecycleService: core.ILifecycleService, client: ApolloClient<any>, cache: InMemoryCache, utility: any, logger: any);
    extInitialize(): Promise<void>;
    private asyncInitializedConfigurationContainer;
    updateValue(key: string, value: any): Promise<void>;
    updateValue(key: string, value: any, overrides: IConfigurationOverrides): Promise<void>;
    updateValue(key: string, value: any, target: ConfigurationTarget): Promise<void>;
    updateValue(key: string, value: any, overrides: IConfigurationOverrides, target: ConfigurationTarget): Promise<void>;
    updateValue(key: string, value: any, overrides: IConfigurationOverrides, target: ConfigurationTarget, donotNotifyError: boolean): Promise<void>;
    reloadConfiguration(): Promise<void>;
}
