import { ResolvedKeybindingItem } from '@vscode/monaco-editor/esm/vs/platform/keybinding/common/resolvedKeybindingItem';
import { IContext } from '@vscode/monaco-editor/esm/vs/platform/contextkey/common/contextkey';
import { ContextKeyExpression } from '@workbench-stack/core';
export interface IResolveResult {
    enterChord: boolean;
    leaveChord: boolean;
    commandId: string | null;
    commandArgs: any;
    bubble: boolean;
}
export declare class KeybindingResolver {
    private readonly _defaultKeybindings;
    private readonly _keybindings;
    private readonly _defaultBoundCommands;
    private readonly _map;
    private readonly _lookupMap;
    constructor(defaultKeybindings: ResolvedKeybindingItem[], overrides: ResolvedKeybindingItem[]);
    private static _isTargetedForRemoval;
    static combine(defaults: ResolvedKeybindingItem[], rawOverrides: ResolvedKeybindingItem[]): ResolvedKeybindingItem[];
    private _addKeyPress;
    private _addToLookupMap;
    private _removeFromLookupMap;
    static whenIsEntirelyIncluded(a: ContextKeyExpression | null | undefined, b: ContextKeyExpression | null | undefined): boolean;
    getDefaultBoundCommands(): Map<string, boolean>;
    getDefaultKeybindings(): ResolvedKeybindingItem[];
    getKeybindings(): ResolvedKeybindingItem[];
    lookupKeybindings(commandId: string): ResolvedKeybindingItem[];
    lookupPrimaryKeybinding(commandId: string): ResolvedKeybindingItem | null;
    resolve(context: IContext, currentChord: string | null, keypress: string): IResolveResult | null;
    private _findCommand;
    static contextMatchesRules(context: IContext, rules: ContextKeyExpression | null | undefined): boolean;
    static getAllUnboundCommands(boundCommands: Map<string, boolean>): string[];
}
