import { ITextResourceConfigurationService, Disposable, IConfigurationChangeEvent, IConfigurationService, IPosition, IModelService, IModeService } from '@workbench-stack/core';
import { Event } from '@vscode/monaco-editor/esm/vs/base/common/event';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
export declare class TextResourceConfigurationService extends Disposable implements ITextResourceConfigurationService {
    private readonly configurationService;
    private readonly modelService;
    private readonly modeService;
    private readonly _onDidChangeConfiguration;
    readonly onDidChangeConfiguration: Event<IConfigurationChangeEvent>;
    constructor(configurationService: IConfigurationService, modelService: IModelService, modeService: IModeService);
    getValue<T>(resource: URI, section?: string): T;
    getValue<T>(resource: URI, at?: IPosition, section?: string): T;
    private _getValue;
    private getLanguage;
}
