import { Container } from 'inversify';
import { IModelService, ITextEditorModel, IModeService } from '@workbench-stack/core';
import { IUntitledEditorService, IFileService, ITextFileEditorModel } from '@files-stack/core';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
import { IDisposable } from '@vscode/monaco-editor/esm/vs/base/common/lifecycle';
import { ITextModel } from '@vscode/monaco-editor/esm/vs/editor/common/model';
import { ITextModelService, ITextModelContentProvider } from '@vscode/monaco-editor/esm/vs/editor/common/services/resolverService';
export interface IResolvedTextEditorModel extends ITextEditorModel {
    readonly textEditorModel: ITextModel;
}
export declare class TextModelResolverService implements ITextModelService {
    private readonly untitledEditorService;
    private container;
    private readonly modelService;
    private readonly modeService;
    private readonly textfileEditorModel;
    private readonly fileService;
    _serviceBrand: any;
    private resourceModelCollection;
    constructor(untitledEditorService: IUntitledEditorService, container: Container, modelService: IModelService, modeService: IModeService, textfileEditorModel: ITextFileEditorModel, fileService: IFileService);
    createModelReference(resource: URI): any;
    private doCreateModelReference;
    registerTextModelContentProvider(scheme: string, provider: ITextModelContentProvider): IDisposable;
    hasTextModelContentProvider(scheme: string): boolean;
}
