import { IClientWorkspaceContextService as IWorkspaceContextService } from '@workbench-stack/core';
import * as core from '@workbench-stack/core';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class WorkspaceContextService extends core.AbstractWorkspaceContextService implements IWorkspaceContextService {
    private lifecycleService;
    private client;
    private cache;
    private utility;
    protected logger: any;
    constructor(lifecycleService: core.ILifecycleService, client: ApolloClient<any>, cache: InMemoryCache, utility: any, logger: any);
    extInitialize(): Promise<void>;
    private asyncInitializedWorkspaceContainer;
    addFolders(foldersToAdd: core.IWorkspaceFolderCreationData[], index?: number): Promise<void>;
    removeFolders(foldersToRemove: URI[]): Promise<void>;
    updateFolders(foldersToAdd: core.IWorkspaceFolderCreationData[], foldersToRemove: URI[], index?: number): Promise<void>;
}
